%global buildforkernels current
%global debug_package %{nil}

Name:           stk83xx-kmod
Summary:        Kernel module (kmod) for crystalhd
Version:        0.1
Release:        1%{?dist}.1
License:        GPLv2
URL:            https://github.com/kwizart/crystalhd
Source0:        stk83xx.tar.gz
# get the needed BuildRequires (in parts depending on what we build for)
BuildRequires:  %{_bindir}/kmodtool
%{!?kernels:BuildRequires: buildsys-build-msvsphere-kerneldevpkgs-%{?buildforkernels:%{buildforkernels}}%{!?buildforkernels:current}-%{_target_cpu} }
%{?fedora:BuildRequires: unifdef}

BuildRequires: gcc
BuildRequires: make
BuildRequires: elfutils-libelf-devel

# kmodtool does its magic here
%{expand:%(kmodtool --target %{_target_cpu} --repo msvsphere --kmodname %{name} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null) }

%description
CrystalHD extra modules.

%prep
# error out if there was something wrong with kmodtool
%{?kmodtool_check}
# print kmodtool output for debugging purposes:
kmodtool  --target %{_target_cpu} --repo msvsphere --kmodname %{name} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null

%setup -q -c
#Copied from kernel sources
pwd
ls

for kernel_version in %{?kernel_versions} ; do
        cp -a stk83xx _kmod_build_${kernel_version%%___*}
done


%build
for kernel_version  in %{?kernel_versions} ; do
%make_build -C ${kernel_version##*___} \
  M=${PWD}/_kmod_build_${kernel_version%%___*} \
  modules
done


%install
for kernel_version in %{?kernel_versions}; do
 mkdir -p ${RPM_BUILD_ROOT}%{kmodinstdir_prefix}/${kernel_version%%___*}/%{kmodinstdir_postfix}/
 install -D -m 755 -t ${RPM_BUILD_ROOT}%{kmodinstdir_prefix}/${kernel_version%%___*}/%{kmodinstdir_postfix}/ $(find _kmod_build_${kernel_version%%___*}/ -name '*.ko')
done
%{?akmod_install}


%changelog
* Wed Jun 05 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.1-1.1
- Rebuilt against new kernel version

* Wed Jun 05 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.1-1
- Rebuilt for MSVSphere 9.4

